Subject: bug#23529: Request for fixing randomize_va_space build issues

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Sep 2016 22:18:39 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Tue, 6 Sep 2016 11:44:57 -0700
> 
> On 09/06/2016 10:40 AM, Eli Zaretskii wrote:
> > So we will be giving up the ability of end-users to re-dump their
> > Emacs, unless they have a compiler/binutils installed that are
> > compatible with the ones used to build the Emacs binary?
> 
> No, the idea would be to keep the current undump as-is, and to use the 
> new mechanism when building and installing Emacs. That way, end-users 
> would not lose any abilities that they already have. It's OK that new 
> mechanism would work on some platforms where the current undump does not.

Then users on those platforms will never be able to re-dump.

I actually don't understand why the data should be serialized as C
code.  Why not just data that is read into memory (with conversion to
the native format)?  A compiler is not the only way to convert text
into binary data.